#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
fbonnardot: My functions (Frédéric BONNARDOT)
=============================================

Contents
--------
All fonctions of Frédéric BONNARDOT classified into thematic subpackages:

Subpackages
-----------
Importing fbonnardot imports all subpackages.

cyclostationarity
    Cyclostationary analysis of signal
detection
    Detection of peaks, ... on a signal
display
    Display utility (superposition, split into blocks, ...)
filtering
    Filtering fonctions (ekf, ...)
gui
    Various gui utilities
identification
    Identification of a filter, transfert function, ...
imagproc
    General image processing methods.
interpolation
    Interpolation methods
mechanic
    Functions to deal with gearbox, bearings, ...
sampling
    Resampling against angle, work with irregular sampling...
signalproc
    General signal processing methods
simulation
    Test signals
speed
    Estimates instantaneous speed and/or phasis
various
    Other types of functions

Note
----
Version 2020.04 01-Apr-2020
Copyright (c) 2001-2020 Frédéric BONNARDOT.
This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
http://creativecommons.org/licenses/by-nc-sa/4.0/


Warning
-------

This code is given as is without warranty of any kind.
In no event shall the authors or copyright holder be liable for any claim damages or other liability.

"""

__author__ = "Frédéric BONNARDOT"
__copyright__ = "Copyright 2020, Frédéric BONNARDOT"
__credits__ = "Frédéric BONNARDOT"
__license__ = "CC BY-NC-SA 4.0"
__version__ = "2020.04b"
__maintainer__ = __author__
__email__ = "frederic.bonnardot@univ-st-etienne.fr"
__status__ = "Prototype"

#from .cyclostationarity import *
from .detection import *
from .display import *
#from .filtering import * 
#from .gui import *
#from .identification import *
#from .imageproc import *
#from .interpolation import *
#from .mechanic import *
#from .sampling import *
from .signalproc import *
#from .simulation import *
from .speed import *
#from .various import *
